#include "qtimerwidget.h"
#include "plugin_qtimerwidget.h"
#include <QtCore/QtPlugin>


QTimerWidgetPlugin::QTimerWidgetPlugin(QObject * parent): QObject(parent) {
	m_initialized = m_designer = false;
}


void QTimerWidgetPlugin::initialize(QDesignerFormEditorInterface * /* core */) {
	m_designer = true;
	if (m_initialized)
		return;
	m_initialized = true;
}


bool QTimerWidgetPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * QTimerWidgetPlugin::createWidget(QWidget * parent) {
	QTimerWidget * w = new QTimerWidget(parent);
	if (m_designer)
		w->buildDebug();
	return w;
}


QString QTimerWidgetPlugin::name() const {
	return QLatin1String("QTimerWidget");
}


QString QTimerWidgetPlugin::group() const {
	return QLatin1String("SHS Widgets");
}


QIcon QTimerWidgetPlugin::icon() const {
	return QIcon(":/icons/timer.png");
}


QString QTimerWidgetPlugin::toolTip() const {
	return QLatin1String("");
}


QString QTimerWidgetPlugin::whatsThis() const {
	return QLatin1String("");
}


bool QTimerWidgetPlugin::isContainer() const {
	return false;
}


QString QTimerWidgetPlugin::domXml() const {
	return QLatin1String("<widget class=\"QTimerWidget\" name=\"timerWidget\">\n</widget>\n");
}


QString QTimerWidgetPlugin::includeFile() const {
	return QLatin1String("qtimerwidget.h");
}

